summaryrefslogtreecommitdiffstats
path: root/bin/quoted-strings
diff options
context:
space:
mode:
authortv <tv@shackspace.de>2015-05-21 01:56:08 +0200
committertv <tv@shackspace.de>2015-05-21 01:56:08 +0200
commit36670f3e1cccad579b994a29320eeb8e287803b7 (patch)
tree484cb2c1075cdcabe8020ca40704f4d68f2b2fed /bin/quoted-strings
parentb95a514bcced00af77ae4adab77326dba9ab4c36 (diff)
sh: functions -> bin/
Diffstat (limited to 'bin/quoted-strings')
-rwxr-xr-xbin/quoted-strings15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/quoted-strings b/bin/quoted-strings
new file mode 100755
index 00000000..e6403910
--- /dev/null
+++ b/bin/quoted-strings
@@ -0,0 +1,15 @@
+#! /bin/sh
+# quoted_strings : lines string |> lines string
+# Extract all (double-) quoted strings from stdin.
+#
+# 0. find begin of string or skip line
+# 1. find end of string or skip line
+# 2. print string and continue after string
+set -euf
+
+sed '
+ s:[^"]*":: ;t1;d
+ :1; s:\(\([^"]\|\\"\)*\)":\1\n: ;t2;d
+ :2; P;D
+' \
+ | sed 's:\\":":g'